import greenfoot.*;
import java.util.List;

/**
 * Das ist der Alien. Er muss versuchen Astronauten zu essen und das Alienbaby zu beschtzen.
 * @Simon Koch 
 * Version 1.0
 */
public class Alien extends Spielfigur
{
    
  public int AstronautGegessen = 0; // Definiere, dass WolkeGegessen eine ganze Zahl ist.
 
  /**
   * Spiele den Sound.
   */
  public Alien()
  {
      Greenfoot.playSound("wind.wav");
  }    
  
  /**
   * Bringe das Spiel zum laufen.
   */
  public void act() 
  {
        super.act();
        prfeAstronaut();// Wenn du einen Astronauten tangierst, iss ihn.
        prfeCounter();// Verringere den Zeitcounter um 1 pro Sekunde.
  }    
    
  /**
   * Wenn du einn Astronauten tangierst, esse sie und erhhe den GegnerCounter um 1.
   * Solltest du mehr als 9 Astronauten gegessen haben, aktiviere die Gewinnfunktion.
   */
  public void prfeAstronaut()
  {
   int x = getX();// Die aktuelle X-Koordinate ist druch x definiert.
   int y = getY();// Die aktuelle Y-Koordinate ist druch y definiert.
   List Astronaut = getObjectsInRange(55,Astronaut.class);// Astronaut ist eine Liste.
   
   if (!Astronaut.isEmpty())// Wenn die Liste Astronaut Objekte enthlt...  
       {getWorld().removeObjects(Astronaut);// Entferne alle Objekte in der Liste Astronaut.
        Greenfoot.playSound("eat.wav");// Spiele den Esssound.
        AstronautGegessen = AstronautGegessen + 1;// Du hast 1 Astronauten mehr gegessen.
        Weltraum Weltraumwelt = (Weltraum) getWorld();// Link zur Welt.
        GegnerCounter counter = Weltraumwelt.getGegnerCounter();// Link vom Counter zur Welt.
        counter.bumpGegnerCount(+1);// Erhhe den Counter um 1.
          if (AstronautGegessen > 9)// Wenn du mehr als 9 Astronauten gegessen hast... 
          {
              Greenfoot.playSound("win.wav");// Spiele den Gewinnersound.
              Greenfoot.stop();// Halte Greenfoot an.
          } 
       } 
  } 
 
  /**
   * Verringere den Zeitcounter um 1 pro Sekunde.
   */
  public void prfeCounter()
  {
    Weltraum Weltraumwelt = (Weltraum) getWorld();// Link zur Welt.
    TimeCounter counter = Weltraumwelt.getTimeCounter();// Link zum Counter.
    frame = frame + 1;// Erhhe pro Frame den frame um 1.
        if (frame > 25)// Wenn frame grer als 25 ist...
        {
            frame = 0;// Setze frame auf 0.
            counter.bumpTimeCount(-1);// Verringere den Timecounter um 1.
        }
  }

}
