import greenfoot.*;
import java.util.List;

/**
 * Das ist der Delfin. Er muss versuchen Fische zu essen und den Frosch zu beschtzen.
 * @Simon Koch 
 * Version 1.0
 */
public class Delfin extends Spielfigur
{ 

  public int FischGegessen = 0; // Definiere, dass FischGegessen eine ganze Zahl ist. 

  /**
   * Spiele den Sound.
   */
  public Delfin()
  {
      Greenfoot.playSound("wind.wav");
  }     
 
  /**
   * Bringe das Spiel zum laufen.
   */
  public void act() 
  {
        super.act();
        prfeFisch();// Wenn du einen Fisch tangierst, iss ihn.
        prfeCounter();// Verringere den Zeitcounter um 1 pro Sekunde.
  }

  /**
   * Wenn du einen Fisch tangierst, esse ihn und erhhe den GegnerCounter um 1.
   * Solltest du mehr als 9 Fische gegessen haben, aktiviere die Gewinnfunktion.
   */
  public void prfeFisch()
  {
   int x = getX();// Die aktuelle X-Koordinate ist druch x definiert.
   int y = getY();// Die aktuelle Y-Koordinate ist druch y definiert.
   List Fisch = getObjectsInRange(57,Fisch.class);// Fisch ist eine Liste.
   
   if (!Fisch.isEmpty())// Wenn die Liste Fisch Objekte enthlt...  
       {getWorld().removeObjects(Fisch);// Entferne alle Objekte in der Liste Fisch.
        Greenfoot.playSound("eat.wav");// Spiele den Esssound.
        FischGegessen = FischGegessen + 1;// Du hast 1 Fisch mehr gegessen.
        Meer Meerwelt = (Meer) getWorld();// Link zur Welt.
        GegnerCounter counter = Meerwelt.getGegnerCounter();// Link vom Counter zur Welt.
        counter.bumpGegnerCount(+1);// Erhhe den Counter um 1.
          if (FischGegessen > 9)// Wenn du mehr als 9 Fische gegessen hast... 
          {
              Greenfoot.playSound("win.wav");// Spiele den Gewinnersound.
              Greenfoot.delay(35);// Verzgere um 10 Frames.
              Greenfoot.setWorld(new Luft());// Erschaffe eine neue Luftwelt.
          }   
       } 
  }
 
 /**
  * Verringere den Zeitcounter um 1 pro Sekunde.
  */
 public void prfeCounter()
 {
   Meer Meerwelt = (Meer) getWorld();// Link zur Welt.
   TimeCounter counter = Meerwelt.getTimeCounter();// Link zum Counter.
   frame = frame + 1;// Erhhe pro Frame den frame um 1.
        if (frame > 25)// Wenn frame grer als 25 ist...
        {
            frame = 0;// Setze frame auf 0.
            counter.bumpTimeCount(-1);// Verringere den Timecounter um 1.
        }
 }

}
