import greenfoot.*;

/**
 * Eine idyllische Unterwasserwelt in der das Motto gilt: Fressen, oder gefressen werden.
 * @Simon Koch 
 * Version 1.0
 */
public class Meer extends World
{
    
  private TimeCounter theTimeCounter;// Link fr Timecounter.
  private GegnerCounter theGegnerCounter;// Link fr Gegnercounter.

  /**
   * Mache eine neue Welt mit 1000 Feldern Lnge, 625 Feldern Breite und einer Feldgre von 1 Pixel.
   * Desweiteren fge hinzu:
   * Frosch
   * Delfin
   * 10x Fisch
   */
  public Meer() 
  {
        super(1000, 625, 1);// 1000 Feldern Lnge, 625 Feldern Breite und einer Feldgre von 1 Pixel.   
        setBackground("wet-blue.jpg");// Hintergrund ist ein Meeresbild.
        addObject(new Frosch(), 25, 312);// Mache einen Frosch.
        addObject(new Delfin(), 80, 312);//Mache einen Delfin.
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 1
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 2
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 3
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 4
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 5
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 6
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 7
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 8
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 9
        addObject(new Fisch(), Greenfoot.getRandomNumber(900) + 100, Greenfoot.getRandomNumber(625));// Nummer 10
        theTimeCounter = new TimeCounter();// Link fr Timecounter.
        addObject(theTimeCounter, 40, 600);// Position des Timecounter.
        theGegnerCounter = new GegnerCounter();// Link fr Gegnercounter.
        addObject(theGegnerCounter, 970, 600);// Position des Gegnercounter.
  }

  public TimeCounter getTimeCounter()
  {
        return theTimeCounter;// Leitet zurck.
  }
 
  public GegnerCounter getGegnerCounter()
  {
        return theGegnerCounter;// Leitet zurck.
  }

}
