import greenfoot.*;
import java.util.List;

/**
 * Das ist der Schmetterling. Er muss versuchen Wolken zu essen und die Fliege zu beschtzen.
 * @Simon Koch 
 * Version 1.0
 */
public class Schmetterling extends Spielfigur
{
    
  public int WolkeGegessen = 0; // Definiere, dass WolkeGegessen eine ganze Zahl ist.
 
  /**
   * Bringe das Spiel zum laufen.
   */
  public void act() 
  {
        super.act();
        prfeWolke();// Wenn du eine Wolke tangierst, iss ihn.
        prfeCounter();// Verringere den Zeitcounter um 1 pro Sekunde.
  }    
    
  /**
   * Wenn du eine Wolke tangierst, esse sie und erhhe den GegnerCounter um 1.
   * Solltest du mehr als 9 Wolken gegessen haben, aktiviere die Gewinnfunktion.
   */
  public void prfeWolke()
  {
   int x = getX();// Die aktuelle X-Koordinate ist druch x definiert.
   int y = getY();// Die aktuelle Y-Koordinate ist druch y definiert.
   List Wolke = getObjectsInRange(55,Wolke.class);// Wolke ist eine Liste.
   
   if (!Wolke.isEmpty())// Wenn die Liste Wolke Objekte enthlt...  
       {getWorld().removeObjects(Wolke);// Entferne alle Objekte in der Liste Wolke.
        Greenfoot.playSound("eat.wav");// Spiele den Esssound.
        WolkeGegessen = WolkeGegessen + 1;// Du hast 1 Wolke mehr gegessen.
        Luft Luftwelt = (Luft) getWorld();// Link zur Welt.
        GegnerCounter counter = Luftwelt.getGegnerCounter();// Link vom Counter zur Welt.
        counter.bumpGegnerCount(+1);// Erhhe den Counter um 1.
          if (WolkeGegessen > 9)// Wenn du mehr als 9 Wolken gegessen hast... 
          {
              Greenfoot.playSound("win.wav");// Spiele den Gewinnersound.
              Greenfoot.delay(35);// Verzgere um 10 Frames.
              Greenfoot.setWorld(new Weltraum());// Erschaffe eine neue Weltraumwelt.
          } 
       } 
  } 
 
  /**
   * Verringere den Zeitcounter um 1 pro Sekunde.
   */
  public void prfeCounter()
  {
    Luft Luftwelt = (Luft) getWorld();// Link zur Welt.
    TimeCounter counter = Luftwelt.getTimeCounter();// Link zum Counter.
    frame = frame + 1;// Erhhe pro Frame den frame um 1.
        if (frame > 25)// Wenn frame grer als 25 ist...
        {
            frame = 0;// Setze frame auf 0.
            counter.bumpTimeCount(-1);// Verringere den Timecounter um 1.
        }
  }

}
